Subject: npds Digest V2 #57

From: Listar <nospam_listar_at_ml.free_dot_fr>
Date: Thu, 30 Aug 2001 03:11:05 +0200 (CEST)

------------------------------------
npds Digest	Wed, 29 Aug 2001	Volume: 02  Issue: 057

In This Issue:
		[NPDS] Re: nHTTPd 2.038 BugTrap Reports
		[NPDS] Re: nHTTPd 2.038 BugTrap Reports

----------------------------------------------------------------------

Date: Tue, 28 Aug 2001 23:15:09 -0700
From: Dale Steele <nospam_dtsteele_at_mac_dot_com>
Subject: [NPDS] Re: nHTTPd 2.038 BugTrap Reports

Paul:

It looks like you have been busy since returning from vacation! I've 
just returned myself and am trying to catch up with what versions of 
NPDS modules I should be running. I've just upgreated to 2.039 but 
didn't see any updates to the other modules. Can you briefly list out 
what versions of each of the modules would be considered stable?

Thanks once again!

Dale
p.s. I'm on Matt's tracker as I type (http://rufa.dyndns.org)

>>More reports.
>
>Thanks, Grant, this is very useful.
>
>>      http://newton.splorp.com/html/-72365934$28.nsd
>
>Big fixed in 2 mins (thanks to the log, of course). It was that when 
>the port was 80, the title wasn't set. I'm going to upload the 2.039 
>in a second. BTW, this bug exists since 2.036.
>
>>      http://newton.splorp.com/html/-72365934$29.nsd
>>      http://newton.splorp.com/html/-72365934$30.nsd
>
>I guess this one is linked to the previous one. And the -8007 may be 
>linked to the first bug, as when a bug occurs, the initialization 
>process is stopped. And here, your -8007 is typically that the stop 
>button wasn't initialized properly.
>We'll see if you still experience it with the first bug fixed.
>
>>The next couple of errors were the result of closing the nHTTP prefs
>>window after modifying the MOTD text field and applying the changes. This
>>is similar to how the original errors I mentioned were triggered.
>>
>>      http://newton.splorp.com/html/-72365934$25.nsd
>
>Same as bug 29.
>
>>      http://newton.splorp.com/html/-72365934$26.nsd
>
>Same as bug 30. Confirms that both are linked.
>
>>I then tried to access the server via my browser and generated one more:
>>
>>      http://newton.splorp.com/html/-72365934$27.nsd
>
>Unfortunately, BugTrap didn't provide much data here. It hasn't 
>disassembled InputScript function. So it took me an additionnal 5 
>mins. Anyway, this is the well known bug with the non thread safe 
>global variables. I'm sorry to say that I won't fix it now because 
>it requires to rewrite the whole kernel of the server.
>
>Thanks again for these bug reports. It really helps.
>
>Paul
>--
>Home page: http://www.kallisys.com/
>Newton-powered WebServer: http://newt.dyndns.org:8080/
>
>[NPDS Mailing List: To unsubscribe: 
>mailto:[email-masked]?subject=unsubscribe]

-- 

------------------------------

Date: Tue, 28 Aug 2001 23:23:05 -0700
From: Dale Steele <nospam_dtsteele_at_mac_dot_com>
Subject: [NPDS] Re: nHTTPd 2.038 BugTrap Reports

Opps, what can I say, it's late here as I try to type and was over 
100 degrees today and it's still way to hot now! Upgrading the great 
latest version of nHTTPd got me giddy too! While I'm at it, I don't 
recall where I can find (or can I?) the Watcher module that I think 
helps bring me back on a tracker after a restart?

Dale again

>Paul:
>
>It looks like you have been busy since returning from vacation! I've 
>just returned myself and am trying to catch up with what versions of 
>NPDS modules I should be running. I've just upgreated to 2.039 but 
>didn't see any updates to the other modules. Can you briefly list 
>out what versions of each of the modules would be considered stable?
>
>Thanks once again!
>
>Dale
>p.s. I'm on Matt's tracker as I type (http://rufa.dyndns.org)

-- 

------------------------------

End of npds Digest V2 #57
*************************